///////////////////////////////
//     $NulL Model shaders   //
///////////////////////////////

models/mapobjects/null_jar/bubbles
{
	cull none
	deformVertexes autosprite2
	{
		map models/mapobjects/null_jar/bubbles.tga
		tcmod scroll 0 0.3
		blendfunc blend
	}
}

models/mapobjects/null_jar/topdetail
{
	cull none
	{
		map models/mapobjects/null_jar/topdetail.tga
		alphafunc GE128
		rgbgen vertex
	}
}

models/mapobjects/dartBoard/dart
{
	{
		map models/mapobjects/dartBoard/dart.tga
		alphaFunc GE128
		rgbgen vertex
	}
}

models/mapobjects/null_beaker/glass
{
	cull none
	surfaceparm trans
	{
		map textures/effects/tinfx.tga
		blendfunc add
		tcGen environment 
		rgbgen vertex
	}
}

models/mapobjects/null_drip/fs_tin
{
	cull none
	{
		map models/mapobjects/null_drip/fs_tin.tga
		rgbgen vertex
	}
}

models/mapobjects/null_drip/blood_bag_cull
{
	cull none
	{
		map models/mapobjects/null_drip/blood_bag.tga
		rgbgen vertex
	}
}

models/mapobjects/null_drip/hook
{
	cull none
	{
		map models/mapobjects/null_drip/ut_metal5.tga
		rgbgen vertex
	}
}

models/mapobjects/null_drip/cow_wood1
{
	cull none
	{
		map models/mapobjects/null_drip/cow_wood1.tga
		rgbgen vertex
	}
}


/////////////////////////////////////
//      Lt1 Model Shaders          //
/////////////////////////////////////

models/mapobjects/lt1_cannon/silencer
{
	cull none
	{
		map models/mapobjects/lt1_cannon/silencer.tga
		rgbGen vertex
	}
}

models/mapobjects/lt1_tv/front
{
	{
		tcmod scale 1 1
		animmap 1.5 textures/null_tv/west1.tga textures/null_tv/west2.tga textures/null_tv/west3.tga textures/null_tv/west4.tga textures/null_tv/west5.tga textures/null_tv/west6.tga textures/null_tv/west7.tga textures/null_tv/west8.tga
	}
	{
		map textures/null_urt1/tvfront.tga
		blendfunc blend
		rgbgen vertex
	}
	{
		map textures/null_urt1/tv_fx.tga
		blendfunc add
	}
}

models/mapobjects/tv/front_noise
{
	{
		tcmod scale 1 1
		animmap 1.5 textures/null_tv/noise1.tga textures/null_tv/noise2.tga textures/null_tv/noise3.tga textures/null_tv/noise4.tga textures/null_tv/noise5.tga textures/null_tv/noise6.tga textures/null_tv/noise7.tga textures/null_tv/noise8.tga
	}
	{
		map textures/null_urt1/tvfront.tga
		blendfunc blend
		rgbgen vertex
	}
	{
		map textures/null_urt1/tv_fx.tga
		blendfunc add
	}
}

models/mapobjects/lt1_tv/front_noise
{
	{
		tcmod scale 1 1
		animmap 1.5 textures/null_tv/noise1.tga textures/null_tv/noise2.tga textures/null_tv/noise3.tga textures/null_tv/noise4.tga textures/null_tv/noise5.tga textures/null_tv/noise6.tga textures/null_tv/noise7.tga textures/null_tv/noise8.tga
	}
	{
		map textures/null_urt1/tvfront.tga
		blendfunc blend
		rgbgen vertex
	}
	{
		map textures/null_urt1/tv_fx.tga
		blendfunc add
	}
}

////////////////////////////////////////
//          Brush Shaders             //
////////////////////////////////////////


textures/null_urt1/fs_powerbox_fx
{
	qer_editorimage textures/null_urt1/fs_powerbox1_front.tga

//	{
//		map textures/sfx/bolts.tga
//		rgbGen wave noise -1.75 3 0 8 
//		tcMod rotate 200
//		tcMod scroll 1.5 1.5
//	}

	{
		map textures/null_urt1/fs_powerbox1_front.tga
//		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
	}
}



textures/null_urt1/portal_sfx
{
	portal
	surfaceparm nolightmap
	surfaceparm nonsolid
	qer_editorimage textures/sfx/portal_sfx.tga
	{
		map textures/ab/green.tga
		blendfunc filter
		TcMod scroll 0 -0.2 
	}

	{
		map textures/sfx/portal_sfx3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}


	{
		map textures/sfx/portal_sfx1.tga
		blendfunc gl_dst_color gl_zero
		tcMod rotate 360
	}

	{
		map textures/sfx/portal_sfx.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 .5 .2 .5
	}

	{
		map textures/sfx/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 256
		rgbGen identityLighting	
		tcmod rotate .1 //.1
		tcmod scroll .01 .03
	}

}

textures/null_urt1/biohazard_sign
{
	qer_editorimage textures/null_urt1/biohazard.tga
	polygonoffset
	{
		map textures/null_urt1/biohazard.tga
		alphafunc GE128	
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_urt1/Tile41a_water
{
	qer_editorimage textures/max_tile/Tile41a.tga
	{
		map textures/max_tile/Tile41a.tga
	}
	{
		map textures/null_urt1/pool3d_6e.tga	
		tcmod scale 0.3 0.3
		tcmod turb 0 0.6 0 0.05
		tcmod scroll 0.05 0.07
		blendfunc add
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_urt1/conc_cull_none
{
	qer_editorimage textures/urban_terror/CONCRETE.tga
	cull none
	{
		map textures/urban_terror/CONCRETE.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_urt1/base_light_trim
{
	qer_editorimage textures/base_trim/pewter.tga
	surfaceparm nomarks
	cull disable
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/base_trim/pewter_shiney.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/null_urt1/base_light_hold
{
	qer_editorimage textures/base_trim/pewter.tga
	cull disable
	deformVertexes autosprite2
	{
		map textures/base_trim/pewter.tga
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

// Used for the glass pannels in the white doors near the garage
textures/null_urt1/door_glass
{
	qer_editorimage textures/urban_misc/fs_supercomp02_front.tga
	cull disable
	qer_trans 0.6
	{
		map textures/urban_misc/fs_supercomp02_front.tga
		blendfunc gl_one gl_one_minus_src_color
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

// Water
textures/null_urt1/sprinkler
{
	qer_editorimage textures/null_urt1/rain.tga
	surfaceparm nonsolid
	cull none
	{
		map textures/null_urt1/rain.tga
		blendfunc add
		tcMod scroll 0.05 -3.5
	}
}

textures/null_urt1/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/null_urt1/glass.tga
		blendfunc add
		tcGen environment 
	}
}

textures/null_urt1/glass_clear_os
{
	qer_editorimage textures/null_urt1/os_gl_fx.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/null_urt1/os_gl_fx.tga
		blendfunc add
		tcGen environment 
	}
}

textures/null_urt1/glass_clear_os_2
{
	qer_editorimage textures/null_urt1/os_gl_fx.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/null_urt1/os_gl_fx_2.tga
		blendfunc add
		tcGen environment 
	}
}

textures/null_urt1/glass_clear_yellow
{
	qer_editorimage textures/null_urt1/tinfx-yel.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/null_urt1/tinfx-yel.tga
		blendfunc add
		tcGen environment 
	}
}

textures/null_urt1/labdoor
{
	qer_editorimage textures/null_wall/conc01.tga
	{
		map textures/null_wall/conc01.tga
	}
	{
		map textures/base_trim/tinfx.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/null_urt1/pipe_cull_none
{
	qer_editorimage textures/null_urt1/Pa200179.tga
	cull disable
	{
		map textures/null_urt1/Pa200179.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/bumpmappedterain
{
	q3map_normalimage textures/slrl/rock_1_bump.tga 
	qer_editorimage textures/slrl/rock_1_bump.tga
	{
		map textures/slrl/rock_1.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/bumpmappedcrate
{
	q3map_normalimage textures/urban_terror/crate2_bump.tga 
	qer_editorimage textures/urban_terror/crate2.tga
	{
		map textures/urban_terror/crate2.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/drip1
{
	qer_editorimage textures/null_urt1/drip1a.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	nopicmip
	cull none
	{
		map textures/null_urt1/drip1a.tga
//		blendfunc blend
		alphaFunc GE128
		depthwrite
	}
        {
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}

}

textures/null_urt1/ceilingpannelsgratefx
{
	qer_editorimage textures/null_urt1/ceilingpannelsgrate.tga
	{
		map textures/base_trim/tinfx.tga
		tcGen environment 
	}
	{
		map textures/null_urt1/ceilingpannelsgrate.tga
		blendfunc blend
	}
	{
		map $lightmap 
		blendfunc filter
	}
}

textures/null_urt1/heartscreen1
{
	qer_editorimage textures/null_urt1/comp3.tga
	{
		map textures/null_urt1/heartmonitor.tga
	}
	{
		map textures/null_urt1/monitoralpha.tga
		blendfunc gl_zero gl_src_alpha
		tcMod scroll -0.5 0
	}
	{
		map textures/null_urt1/comp3.tga
		blendfunc blend
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/null_urt1/heartscreen2
{
	qer_editorimage textures/null_urt1/comp3.tga
	{
		map textures/null_urt1/heartmonitor.tga
	}
	{
		map textures/null_urt1/monitoralphaphased1.tga
		blendfunc gl_zero gl_src_alpha
		tcMod scroll -0.5 0
	}
	{
		map textures/null_urt1/comp3.tga
		blendfunc blend
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/null_urt1/heartscreen3
{
	qer_editorimage textures/null_urt1/comp3.tga
	{
		map textures/null_urt1/heartmonitorred.tga
	}
	{
		map textures/null_urt1/monitoralpha.tga
		blendfunc gl_zero gl_src_alpha
		tcMod scroll -0.75 0
	}
	{
		map textures/null_urt1/comp3.tga
		blendfunc blend
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/null_urt1/heartscreen4
{
	qer_editorimage textures/null_urt1/comp3.tga
	{
		map textures/null_urt1/heartmonitor.tga
	}
	{
		map textures/null_urt1/monitoralphaphased1.tga
		blendfunc gl_zero gl_src_alpha
		tcMod scroll -0.5 0
	}
	{
		map textures/null_urt1/comp3.tga
		blendfunc blend
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/null_urt1/ceilingpannelsbump
{
	qer_editorimage textures/null_urt1/ceilingpannels.tga
	q3map_normalimage textures/null_urt1/ceilingpannelsnormal.tga
	{
		map textures/null_urt1/ceilingpannels.tga
	}
	{
		map $lightmap 
		blendfunc filter
	}
}

textures/null_urt1/ceilingpannelsgratebump
{
	qer_editorimage textures/null_urt1/ceilingpannelsgrate.tga
	q3map_normalimage textures/null_urt1/ceilingpannelsnormal.tga
	{
		map textures/null_urt1/ceilingpannelsgrate.tga
	}
	{
		map $lightmap 
		blendfunc filter
	}
}

textures/null_urt1/lightshade1
{
	qer_editorimage textures/base_trim/dirty_pewter_big.tga
	surfaceparm metalsteps
	cull disable
	q3map_surfacelight 25
	{
		map textures/base_trim/dirty_pewter_big.tga
	}
	{
		map $lightmap 
		blendfunc filter
	}
}

textures/null_urt1/lightbulb
{
	qer_editorimage textures/null_urt1/lightlong.tga
	q3map_surfacelight 20000
	{
		map textures/null_urt1/lightlong.tga
	}
}

textures/null_urt1/flare
{
	qer_editorimage textures/urban_terror/corona.tga
	deformvertexes autosprite
	cull disable
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/urban_terror/corona.tga
		blendfunc add
	}
}

textures/null_urt1/proto_grate4
{
	qer_editorimage textures/base_floor/proto_grate4.tga
	surfaceparm	metalsteps	
	cull none
        nopicmip

	{
		map textures/base_floor/proto_grate4.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/null_urt1/proto_grate4_trans
{
	qer_editorimage textures/base_floor/proto_grate4.tga
	surfaceparm	metalsteps	
	surfaceparm     trans
        nopicmip

	{
		map textures/base_floor/proto_grate4.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/common/nodraw_water
{
 	qer_editorimage textures/common/nodraw_water.tga
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

textures/null_urt1/proto_poolpass
        {
		                
		q3map_globaltexture
	    	qer_editorimage  textures/liquids/proto_gruel2.tga
	        // tesssize 256
	        //deformVertexes wave 256 sin 1 0.5 .1 .5
		surfaceparm nonsolid
	        
		{
	        	map textures/liquids/proto_gruel2.tga
		        //tcMod scale 1 1
                         tcMod scale .5 .6
			//tcMod scroll .04 .01
                        tcMod turb .1 .25 0 -.1
                       
		}
	        {
			map textures/liquids/proto_poolpass.tga
			blendfunc GL_ONE GL_ONE
			tcMod scale .2 .2
			//tcMod scroll .05 .005
                        tcMod turb .1 .25 0 .07
		}
	        {
		        map $lightmap
			rgbgen identity
			blendfunc GL_DST_COLOR GL_ZERO
                }	
	}

textures/null_urt1/lightbulb_lab
{
	qer_editorimage textures/null_urt1/lightlong.tga
	surfaceparm trans
	{
		map textures/null_urt1/lightlong.tga
	}
}

textures/null_urt1/dripstandspread
{
	qer_editorimage textures/null_urt1/dripstandlower
	cull none
	{
		map textures/null_urt1/dripstandlower.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_urt1/cryo_fog
{
	qer_editorimage textures/null_urt1/fog.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	fogparms ( 0.9 0.9 0.9 ) 60
}

textures/null_urt1/nodraw_fog
{
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm fog
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/null_urt1/cryo_glass
{
	qer_editorimage textures/effects/tinfx.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		blendfunc gl_one gl_one_minus_src_color
		tcGen environment 
	}
}

textures/null_urt1/worldfog
{
	qer_editorimage textures/sfx/fog_green.tga
	surfaceparm fog
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	qer_trans 0.2
	fogparms ( 0.01 0.288235 0.001 ) 5000
}

textures/null_urt1/vflashred
{
	qer_editorimage textures/null_urt1/const_red.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/null_urt1/const_red.tga
		blendfunc add
		rgbgen wave sin 0.3 1 0.5 1
	}
}

textures/null_urt1/vflashblue
{
	qer_editorimage textures/null_urt1/const_blue.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/null_urt1/const_blue.tga
		blendfunc add
		rgbgen wave sin 0.3 1 0 1
	}
}

textures/null_urt1/vconstred
{
	qer_editorimage textures/null_urt1/const_red.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/null_urt1/const_red.tga
		blendfunc add
	}
}

textures/null_urt1/brokencontainerside
{
	qer_editorimage textures/max_misc/valkyrcontainer01_128x32.tga
	cull none
	surfaceparm nomarks
	{
		map textures/max_misc/valkyrcontainer01_128x32.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/brokencontainerend
{
	qer_editorimage textures/max_misc/valkyrcontainer_end.tga
	cull none
	surfaceparm nomarks
	{
		map textures/max_misc/valkyrcontainer_end.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

//used to stop people from lemminging out of the chopper
textures/null_urt1/pind_cush
{
	surfaceparm nodamage
	qer_editorimage textures/null_urt1/drblackrock_2.tga
	{
		map textures/null_urt1/drblackrock_2.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_urt1/slickterain1
{
	surfaceparm slick
	qer_editorimage textures/null_urt1/drblackrock_2.tga
	{
		map textures/null_urt1/drblackrock_2.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_urt1/slickterain2
{
	surfaceparm slick
	qer_editorimage textures/null_urt1/drblackrock_3.tga
	{
		map textures/null_urt1/drblackrock_3.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_urt1/fs_floor_stain
{
	qer_editorimage textures/wetwired/fs_tiles_floor01.tga
	{
		map textures/wetwired/fs_tiles_floor01.tga
	}
	{
		map textures/null_urt1/fs_tiles_floor01_stain.tga
		blendfunc blend
	}
	{

		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/alphagrate
{
	qer_editorimage textures/null_urt1/old_tin_alpha.tga
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip
	{
		map textures/null_urt1/old_tin_alpha.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}

textures/null_urt1/waterwave
{
	qer_editorimage textures/null_tex/water005.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	tessSize 100
	deformVertexes normal .1 0.1
	deformVertexes wave 100 sin 0 1 0.3 0.1
	{
		map textures/null_tex/water005.tga
		blendFunc GL_ONE GL_ONE
		tcgen environment
		rgbgen identity
	}
}

textures/null_urt1/shaft_flare
{
	qer_editorimage textures/null_urt1/flare_red.tga
	q3map_lightimage textures/null_urt1/flare_red.tga
	q3map_surfacelight 150
	deformVertexes autosprite
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/null_urt1/flare_red.tga
		blendfunc add
	}
}

textures/null_urt1/cei_light_1
{
	surfaceparm nomarks
	qer_editorimage textures/null_urt1/cei_light.tga
	q3map_surfacelight 3200
	{
		map textures/null_urt1/cei_light.tga
	}
	{
  		map $lightmap	
 		blendfunc filter
		rgbgen identity
	}
}

// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
textures/null_urt1/sunset1
{
	qer_editorimage textures/null_urt1/sunset_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	nopicmip
	q3map_lightsubdivide 256
	q3map_surfacelight 80
	q3map_globaltexture
	q3map_sun 6 3 2 120 45 37
	skyParms env/null_urt1/sunset 128 -
}

textures/null_urt1/op_railling
{
	qer_editorimage textures/null_urt1/railling.tga
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm alphashadow
	nopicmip
	cull none
	{
		map textures/null_urt1/railling.tga
		alphaFunc GE128
//              blenfunc blend
		depthwrite
	}
        {
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}

}

textures/null_urt1/testtubes
{
	qer_editorimage textures/null_urt1/testtube1.tga
	surfaceparm trans
	nopicmip
	{
		map textures/null_urt1/testtube2.tga
		alphaFunc GE128
//              blenfunc blend
//		depthwrite
	}
//        {
//		map $lightmap 
//		blendfunc filter
//		rgbGen identity
//		tcGen lightmap 
//		depthFunc equal
//	}

}

textures/null_urt1/crate_cull_none
{
	qer_editorimage textures/urban_terror/CRATE.tga
	cull none
	{
		map textures/urban_terror/CRATE.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/headlight
{
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	{
		map $whiteimage
		alphagen const 0.7
		blendfunc blend
	}
}

textures/null_urt1/barrel_damage
{
	qer_editorimage textures/null_urt1/barrel.tga
	cull none
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	{
		depthwrite
		map textures/null_urt1/barrel.tga
		alphafunc GE128
	}
	{
		depthfunc equal
		map $lightmap
		blendfunc filter
	}
}


textures/null_urt1/barrel_water
{
	qer_editorimage textures/null_urt1/barrel_fluid.tga
	surfaceparm nomarks
	{
		map textures/null_urt1/barrel_fluid.tga
		tcmod turb 0 1 0 0.2
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_urt1/waterflow
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	qer_editorimage textures/wetwired/fs_rain2.tga

	{
		map textures/wetwired/fs_rain2.tga
		tcMod Scroll 0 -4
		blendFunc GL_ONE GL_ONE
	}
}

textures/urban_lights/lightbulb
{
    cull disable
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nolightmap
	{
		map textures/urban_lights/lightbulb.tga
		blendFunc Add
		rgbGen identity
	}


}


//////////////////////////////////////////////////////////
// 							//
// 	Steam Shader Made In Particele Studio		//
//							//
//////////////////////////////////////////////////////////

textures/null_urt1/steam_1
{
qer_editorimage textures/null_urt1/steam.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -29.709045 0.000000 24.904470 sawtooth 0 1 0.916929 1.104758
{
clampmap textures/null_urt1/steam.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 0.916929 1.104758
rgbGen wave sawtooth 1.000000 0.000000 0.916929 1.104758
tcMod stretch sawtooth 1.000000 0.000000 0.916929 1.104758
blendfunc blend
}
}

textures/null_urt1/steam_2
{
qer_editorimage textures/null_urt1/steam.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -35.834000 0.000000 26.030371 sawtooth 0 1 0.297586 1.068237
{
clampmap textures/null_urt1/steam.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 0.297586 1.068237
rgbGen wave sawtooth 1.000000 0.000000 0.297586 1.068237
tcMod stretch sawtooth 1.000000 0.000000 0.297586 1.068237
blendfunc blend
}
}

textures/null_urt1/steam_3
{
qer_editorimage textures/null_urt1/steam.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -64.509521 0.000001 50.580975 sawtooth 0 1 0.128147 0.674761
{
clampmap textures/null_urt1/steam.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 0.128147 0.674761
rgbGen wave sawtooth 1.000000 0.000000 0.128147 0.674761
tcMod stretch sawtooth 1.000000 0.000000 0.128147 0.674761
blendfunc blend
}
}

textures/null_urt1/steam_4
{
qer_editorimage textures/null_urt1/steam.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -18.220152 0.000000 13.713086 sawtooth 0 1 0.125797 1.102676
{
clampmap textures/null_urt1/steam.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 0.125797 1.102676
rgbGen wave sawtooth 1.000000 0.000000 0.125797 1.102676
tcMod stretch sawtooth 1.000000 0.000000 0.125797 1.102676
blendfunc blend
}
}

textures/null_urt1/steam_5
{
qer_editorimage textures/null_urt1/steam.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -50.237656 0.000001 43.805878 sawtooth 0 1 0.257576 0.720979
{
clampmap textures/null_urt1/steam.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 0.257576 0.720979
rgbGen wave sawtooth 1.000000 0.000000 0.257576 0.720979
tcMod stretch sawtooth 1.000000 0.000000 0.257576 0.720979
blendfunc blend
}
}

textures/null_urt1/steam_6
{
qer_editorimage textures/null_urt1/steam.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -30.266905 0.000000 25.348505 sawtooth 0 1 0.686666 1.104199
{
clampmap textures/null_urt1/steam.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 0.686666 1.104199
rgbGen wave sawtooth 1.000000 0.000000 0.686666 1.104199
tcMod stretch sawtooth 1.000000 0.000000 0.686666 1.104199
blendfunc blend
}
}

textures/null_urt1/steam_7
{
qer_editorimage textures/null_urt1/steam.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -75.146149 0.000001 55.454845 sawtooth 0 1 0.462569 0.601484
{
clampmap textures/null_urt1/steam.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 0.462569 0.601484
rgbGen wave sawtooth 1.000000 0.000000 0.462569 0.601484
tcMod stretch sawtooth 1.000000 0.000000 0.462569 0.601484
blendfunc blend
}
}

textures/null_urt1/steam_8
{
qer_editorimage textures/null_urt1/steam.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -15.435040 0.000000 14.050089 sawtooth 0 1 0.012726 0.981844
{
clampmap textures/null_urt1/steam.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 0.012726 0.981844
rgbGen wave sawtooth 1.000000 0.000000 0.012726 0.981844
tcMod stretch sawtooth 1.000000 0.000000 0.012726 0.981844
blendfunc blend
}
}

textures/null_urt1/steam_9
{
qer_editorimage textures/null_urt1/steam.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -54.974262 0.000001 50.436016 sawtooth 0 1 0.993255 0.703700
{
clampmap textures/null_urt1/steam.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 0.993255 0.703700
rgbGen wave sawtooth 1.000000 0.000000 0.993255 0.703700
tcMod stretch sawtooth 1.000000 0.000000 0.993255 0.703700
blendfunc blend
}
}

textures/null_urt1/steam_10
{
qer_editorimage textures/null_urt1/steam.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -38.634644 0.000000 38.044086 sawtooth 0 1 0.491897 0.913445
{
clampmap textures/null_urt1/steam.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 0.491897 0.913445
rgbGen wave sawtooth 1.000000 0.000000 0.491897 0.913445
tcMod stretch sawtooth 1.000000 0.000000 0.491897 0.913445
blendfunc blend
}
}

